ChangeSet 1.1595.7.11, 2003/07/30 13:01:04-07:00, greg@kroah.com

[PATCH] USB: Support sharp zaurus C-750

From pavel@ucw.cz

This adds support for another handheld from sharp to 2.6.0-test1


 drivers/usb/net/usbnet.c |    9 +++++++++
 1 files changed, 9 insertions(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Fri Aug  1 10:55:26 2003
+++ b/drivers/usb/net/usbnet.c	Fri Aug  1 10:55:26 2003
@@ -2769,6 +2769,15 @@
 	.bInterfaceSubClass = 0x0a,
 	.bInterfaceProtocol = 0x00,
 	.driver_info =  (unsigned long) &zaurus_slc700_info,
+}, {
+	.match_flags    =   USB_DEVICE_ID_MATCH_INT_INFO
+		 | USB_DEVICE_ID_MATCH_DEVICE,
+	.idVendor               = 0x04DD,
+	.idProduct              = 0x9031,
+	.bInterfaceClass        = 0x02,
+	.bInterfaceSubClass     = 0x0a,
+	.bInterfaceProtocol     = 0x00,
+	.driver_info =  (unsigned long) &zaurus_sla300_info,
 },
 #endif
 
